Loading...
Searching...
No Matches
change_copyright Namespace Reference

## Functions

| extend_copyright (line, year)
| replace_line (file, search_exp, replace_exp)
| test ()
| extend_copyright_all (extend_to_year)
| main ()

## Detailed Description

    change the copy right year
    there are 4 cases
     1 2014 => 2014
     2 20xx => 20xx-14
     3 20xx-bb => 20xx-14
     4 20xx-14 => 20xx-14

## Function Documentation

## extend_copyright()

change_copyright.extend_copyright | ( |  | line,
|  |  | year
| ) |  |

    year is the year which you want to extend to

Definition at line 39 of file change_copyright.py.

## extend_copyright_all()

change_copyright.extend_copyright_all | ( |  | extend_to_year | ) |

Definition at line 86 of file change_copyright.py.

## main()

change_copyright.main | ( |  | ) |

Definition at line 105 of file change_copyright.py.

## replace_line()

change_copyright.replace_line | ( |  | file,
|  |  | search_exp,
|  |  | replace_exp
| ) |  |

Definition at line 59 of file change_copyright.py.

## test()

change_copyright.test | ( |  | ) |

Definition at line 65 of file change_copyright.py.